Windows Performance Monitor

You can use Windows Performance Monitor to examine how programs you run affect your computer's performance, both in real time and by collecting log data for later analysis.

Windows Performance Monitor uses performance counters, event trace data, and configuration information, which can be combined into Data Collector Sets.

Performance counters are measurements of system state or activity. They can be included in the operating system or can be part of individual applications. Windows Performance Monitor requests the current value of performance counters at specified time intervals.

Event trace data is collected from trace providers, which are components of the operating system or of individual applications that report actions or events. Output from multiple trace providers can be combined into a trace session.

Configuration information is collected from key values in the Windows registry. Windows Performance Monitor can record the value of a registry key at a specified time or interval as part of a log file.

  • Overview of Windows Performance Monitor

  • Using Performance Monitor

  • Creating Data Collector Sets

  • Scheduling and Managing Data in Windows Performance Monitor

  • User Interface: Windows Performance Monitor

Additional references

  • For more information about using Windows Performance Monitor, see http://go.microsoft.com/fwlink/?LinkId=70270.


Overview of Windows Performance Monitor

Windows Performance Monitor is a Microsoft Management Console (MMC) snap-in that provides tools for analyzing system performance. From a single console, you can monitor application and hardware performance in real time, customize what data you want to collect in logs, define thresholds for alerts and automatic actions, generate reports, and view past performance data in a variety of ways.

Windows Performance Monitor combines the functionality of previous stand-alone tools including Performance Logs and Alerts (PLA), Server Performance Advisor (SPA), and System Monitor. It provides a graphical interface for the customization of Data Collector Sets and Event Trace Sessions.

Windows Performance Monitor performs data collection and logging using Data Collector Sets.

To launch Windows Performance Monitor

  • Click Start, click in the Start Search box, type perfmon, and press ENTER.

Performance Monitor

Performance Monitor provides a visual display of built-in Windows performance counters, either in real time or as a way to review historical data. You can add performance counters to Performance Monitor by dragging and dropping, or by creating custom Data Collector Sets. It features multiple graph views that enable you to visually review performance log data. You can create custom views in Performance Monitor that can be exported as Data Collector Sets for use with performance and logging features.

Access to Windows Performance Monitor features

Members of the local Administrators group, or equivalent, may use all the features of Windows Performance Monitor. The list below summarizes which features are accessible to members of other groups:

Members of the Users group

  • Can open log files for viewing in Performance Monitor, and can change the Performance Monitor display properties while viewing historical data.

  • Cannot create or modify Data Collector Sets or view real-time performance data in Performance Monitor.

    Note

    You cannot configure a Data Collector Set to run as a member of the Users group.

Members of the Performance Monitor Users group

  • Can use all the features that are available to the Users group.

  • Can view real-time performance data in Performance Monitor, and can change the Performance Monitor display properties while viewing real-time data.

  • Cannot create or modify Data Collector Sets.

    Note

    You cannot configure a Data Collector Set to run as a member of the Performance Monitor Users group.

Members of the Performance Log Users group

  • Can use all the features that are available to the Performance Monitor Users group.

  • Can create and modify Data Collector Sets after the group is assigned the Log on as a batch user user right, as described in Enable Logging for Performance Log Users Group Members.

    Note

    If you are a member of the Performance Log Users group, you must configure Data Collector Sets that you create to run under your own credentials.

  • Cannot use the Windows Kernel Trace provider in Data Collector Sets.

Additional references

  • Using Performance Monitor

  • Creating Data Collector Sets

  • Scheduling and Managing Data in Windows Performance Monitor

  • User Interface: Windows Performance Monitor


Using Performance Monitor

Performance Monitor is a simple yet powerful visualization tool for viewing performance data, both in real time and from log files. With it, you can examine performance data in a graph, histogram, or report.

Membership in the local Performance Log Users group, or equivalent, is the minimum required to complete this procedure.

To start Performance Monitor

  1. Click Start, click in the Start Search box, type perfmon, and press ENTER.

  2. In the navigation tree, expand Monitoring Tools, and then click Performance Monitor.

You can also use Performance Monitor to view real-time performance data on a remote computer.

Membership in the target computer's Performance Log Users group, or equivalent, is the minimum required to complete this procedure.

To connect to a remote computer with Performance Monitor

  1. Start Performance Monitor.

  2. In the navigation tree, right-click Reliability and Performance, and then click Connect to another computer.

  3. In the Select Computer dialog box, type the name of the computer you want to monitor, or click Browse to select it from a list.

  4. Click OK.

Additional considerations

  • To view performance counters from a remote computer, the Performance Logs and Alerts firewall exception must be enabled on the remote computer. In addition, members of the Performance Log Users group must also be members of the Event Log Readers group on the remote computer.

Additional references

  • Windows Performance Monitor

  • Configure the Performance Monitor Display

  • Working with Performance Logs

  • Add Counters Dialog Box

  • For more information about using Windows Performance Monitor, see http://go.microsoft.com/fwlink/?LinkId=70270.


Configure the Performance Monitor Display

Membership in the local Performance Log Users or Administrators group, or equivalent, is the minimum required to complete this procedure.

To configure the Performance Monitor display

  1. Right-click in the Performance Monitor display area and click Properties.

  2. Make the desired configuration changes.

  3. To see the effect of your changes without re-opening the Properties dialog box, you can click Apply after any modification.

  4. When you are finished, click OK.

You can save the information in your current Performance Monitor display as a web page or an image.

To save the current Performance Monitor display as a web page

  1. Right-click in the Performance Monitor display area and click Save Settings As.

  2. Choose a directory where you want to save the file.

  3. Type a name for the saved display file, and then click OK.
To save the current Performance Monitor display as an image

  1. Right-click in the Performance Monitor display area and click Save Image As.

  2. Choose a directory where you want to save the file.

  3. Type a name for the saved display file, and then click OK.

Additional considerations

  • You can also access Performance Monitor properties by pressing Ctrl+Q, or by clicking the Properties button in the toolbar.

  • If there are no counters in the current display, you can open the Add Counters dialog box by selecting the Data tab and clicking Add.

  • You can open log files or log databases from the Performance Monitor properties in the Source tab. It is possible to open multiple log files simultaneously. For more information about log data, see Working with Performance Logs.

Additional references

  • Windows Performance Monitor

  • Using Performance Monitor

  • Add Counters Dialog Box


Working with Performance Logs

You can view log files or log data provided by a database in Performance Monitor to see a visual representation of performance data collected by Data Collector Sets.

Membership in the local Performance Log Users or Administrators group, or equivalent, is the minimum required to complete these procedures.

  • Open Log Files in Performance Monitor

  • Access a Log Data Source in Performance Monitor

  • Compare Multiple Log Files in Performance Monitor


Open Log Files in Performance Monitor

Membership in the local Users group, or equivalent, is the minimum required to complete this procedure.

To open log files in Performance Monitor

  1. In the Windows Performance Monitor navigation pane, expand Monitoring Tools and click Performance Monitor.

  2. In the console pane toolbar, click the Add Log Data button. The Performance Monitor properties page will open at the Source tab.

  3. In the Data Source section, select Log files and click Add.

  4. Browse to the log file you want to view and click Open. To add multiple log files to the Performance Monitor view, click Add again.

  5. Click Time Range to see times included in the log or logs you selected.

    • For a single log file, you can move the beginning and ending time sliders to view only a portion of the log file in Performance Monitor.

    • For multiple log files, you can move the beginning and ending time sliders to choose the time period (from all of the selected log files) to view in Performance Monitor. If a log has data from the time period you select, it will be available in the display.

  6. When you are finished selecting log files, click OK.

  7. Right-click in the Performance Monitor display and click Add Counters. The Add Counters dialog box will open. Only the counters included in the log file or files you selected in step 4 will be available.

  8. Select the counters you want to view in the Performance Monitor graph and click OK. For help adding counters, see Add Counters Dialog Box.

    Note

    You can select multiple counter groups or counters at the same time by holding down the CTRL key and clicking on the group names or counter names, and then clicking OK.

Additional considerations

  • To start Windows Performance Monitor, click Start, click in the Start Search box, type perfmon, and press ENTER.

  • You can also open Performance Monitor in its own window by typing perfmon /sys and pressing ENTER in the Start Search box or at a command prompt.

Additional references

  • Windows Performance Monitor

  • Working with Performance Logs


Access a Log Data Source in Performance Monitor

Membership in the local Users group, or equivalent, is the minimum required to complete this procedure.

Note

You must have permission to access the log data source in order to view it in Performance Monitor.

To access a log data source in Performance Monitor

  1. In the Windows Performance Monitor navigation pane, expand Monitoring Tools and click Performance Monitor.

  2. In the console pane toolbar, click the Add Log Data button. The Performance Monitor Properties page will open at the Source tab.

  3. In the Data Source section, select Database.

  4. Choose a System Data Source Name (DSN) and Log set from the drop-down lists.

  5. Click Time Range to see times included in the log you selected. You can move the beginning and ending time sliders to view only a portion of the log file in Performance Monitor.

  6. When you are finished, click OK.

  7. Right-click in the Performance Monitor display and click Add Counters. The Add Counters dialog box will open. Only the counters included in the log data source you selected in step 4 will be available.

  8. Select the counters you want to view in the Performance Monitor graph and click OK. For help adding counters, see Add Counters Dialog Box.

    Note

    You can select multiple counter groups or counters at the same time by holding down the CTRL key and clicking on the group names or counter names, and then clicking OK.

Additional considerations

  • To start Windows Performance Monitor, click Start, click in the Start Search box, type perfmon, and press ENTER.

  • You can also open Performance Monitor in its own window by typing perfmon /sys and pressing ENTER in the Start Search box or at a command prompt.

Additional references

  • Windows Performance Monitor

  • Working with Performance Logs


Compare Multiple Log Files in Performance Monitor

You can view log files in separate Performance Monitor windows and then compare them with a transparent overlay.

Membership in the local Users group, or equivalent, is the minimum required to complete this procedure.

To compare multiple log files in Performance Monitor

  1. Click Start, click in the Start Search box, type perfmon /sys /comp, and press ENTER. Performance Monitor will open in stand-alone mode with comparison enabled.

    Note

    You can only use overlay when Performance Monitor is running in stand-alone mode with comparison enabled.

  2. To create a view you will use as a base to compare against, open logs or a data source and add counters from the logs or data source to the Performance Monitor display.

  3. When you have finished creating your base view, repeat step 1 to open another instance of Performance Monitor running in stand-alone mode with comparison enabled.

  4. To create a view you will use to compare to your base, open logs or a data source and add counters from the logs or data source to the second Performance Monitor display.

  5. In the Performance Monitor window that you want to compare to your base, on the Compare menu, point to Set Transparency and select either 70% Transparency or 40% Transparency.

  6. In the Performance Monitor window you want to compare to your base, on the Compare menu, click Snap to Compare. The active Performance Monitor window will automatically align itself with the other Performance Monitor window.

Additional considerations

  • Using the overlay feature to compare log files works best when viewing multiple logs based on the same Data Collector Set, since the Performance Monitor graph's proportions change to most efficiently display the range of data in the log file.

Additional references

  • Windows Performance Monitor

  • Working with Performance Logs


Creating Data Collector Sets

A Data Collector Set is the building block of performance monitoring and reporting in Windows Performance Monitor. It organizes multiple data collection points into a single component that can be used to review or log performance. A Data Collector Set can be created and then recorded individually, grouped with other Data Collector Set and incorporated into logs, viewed in Performance Monitor, configured to generate alerts when thresholds are reached, or used by other non-Microsoft applications. It can be associated with rules of scheduling for data collection at specific times. Windows Management Interface (WMI) tasks can be configured to run upon the completion of Data Collector Set collection.

Data Collector Sets can contain the following types of data collectors:

  • Performance counters

  • Event trace data

  • System configuration information (registry key values)

You can create a Data Collector Set from a template, from an existing set of Data Collectors in a Performance Monitor view, or by selecting individual Data Collectors and setting each individual option in the Data Collector Set properties.

  • Create a Data Collector Set from Performance Monitor

  • Create a Data Collector Set from a Template

  • Create a Data Collector Set Manually

  • Create a Data Collector Set to Monitor Performance Counters

Additional references

  • Windows Performance Monitor

  • Scheduling and Managing Data in Windows Performance Monitor

  • For more information about using Windows Performance Monitor, see http://go.microsoft.com/fwlink/?LinkId=70270.


Create a Data Collector Set from Performance Monitor

You can create a Data Collector Set from counters in the current Performance Monitor display.

Membership in the local Performance Log Users or Administrators group, or equivalent, is the minimum required to complete this procedure.

Note

The Performance Log Users group must be assigned the Log on as a batch user user right, as described in Enable Logging for Performance Log Users Group Members.

To create a Data Collector Set from Performance Monitor

  1. Start Performance Monitor and add counters to create a custom view you want to save as a Data Collector Set.

  2. Right-click anywhere in the Performance Monitor display pane, point to New, and click Data Collector Set. The Create New Data Collector Set Wizard starts. The Data Collector Set created will contain all of the data collectors selected in the current Performance Monitor view.

  3. Enter a name for your Data Collector Set and click Next.

  4. The Root Directory will contain data collected by the Data Collector Set. Change this setting if you want to store your Data Collector Set data in a different location than the default. Browse to and select the directory, or type the directory name.

    Note

    If you enter the directory name manually, you must not enter a back slash at the end of the directory name.

  5. Click Next to define a user for the Data Collector Set to run as, or click Finish to save the current settings and exit.

  6. After clicking Next, you can configure the Data Collector Set to run as a specific user. Click the Change button to enter the user name and password for a different user than the default listed.

    Note

    If you are a member of the Performance Log Users group, you must configure Data Collector Sets you create to run under your own credentials.

  7. Click Finish to return to Windows Performance Monitor.

    • To view the properties of the Data Collector Set or make additional changes, select Open properties for this data collector set. For more information about the properties of the Data Collector Set, see Data Collector Set Properties.

    • To start the Data Collector Set immediately (and begin saving data to the location specified in Step 4), select Start this data collector set now.

    • To save the Data Collector Set without starting collection, select Save and close.

Additional considerations

  • To open Performance Monitor, click Start, click in the Start Search box, type perfmon, and then press ENTER. In Windows Performance Monitor, expand Monitoring Tools, and click Performance Monitor.

  • Data Collector Sets run as the System user by default. As a security best practice, you should accept this default value unless you have a compelling reason to change it.

Additional references

  • Windows Performance Monitor

  • Creating Data Collector Sets

  • Scheduling and Managing Data in Windows Performance Monitor

  • Using Performance Monitor


Create a Data Collector Set from a Template

The simplest way to create a new Data Collector Set is by using the wizard in Windows Performance Monitor. Windows Vista includes several templates that focus on general system diagnosis information or collect performance data specific to server roles or applications. In addition, you can import templates created on other computers and save Data Collector Set you create for use elsewhere.

Importing Templates

Data Collector Set templates are stored as XML files and may be imported directly from the local hard drive or from available removable or network drives.

To import a Data Collector Set template, run the Create new Data Collector Set Wizard and click Browse in the Template Data Collector screen. Browse to the location of the XML file you want to use, select the file name, and click OK.

Exporting Templates

To export a Data Collector Set you create as a template for use on other computers, open Windows Performance Monitor, expand Data Collector Sets, right-click the Data Collector Set you want to export, and click Save Template. Select a directory in which to store the XML file and click Save.

Membership in the local Performance Log Users or Administrators group, or equivalent, is the minimum required to complete this procedure.

Note

The Performance Log Users group must be assigned the Log on as a batch user user right, as described in Enable Logging for Performance Log Users Group Members.

Note

To use templates that collect data using the Windows Kernel Trace provider, you must be a member of the local Administrators group.

To create a Data Collector Set from a template

  1. In the Windows Performance Monitor navigation pane, expand Data Collector Sets, right-click User Defined, point to New, and click Data Collector Set. The Create new Data Collector Set Wizard starts.

  2. Enter a name for your Data Collector Set.

  3. Select Create from a template and click Next.

  4. Select the template you want to use to create your Data Collector Set from the menu.

    Note

    When you highlight an available template, its description appears to the right of the list.

  5. Click Next to choose a custom location for the data to be saved or to define more options, or click Finish to save the current settings and exit.

  6. The Root Directory will contain data collected by the Data Collector Set. Change this setting if you want to store your Data Collector Set data in a different location than the default. Browse to and select the directory, or type the directory name.

    Note

    If you enter the directory name manually, you must not enter a back slash at the end of the directory name.

  7. Click Next to define a user for the Data Collector Set to run as, or click Finish to save the current settings and exit.

  8. After clicking Next, you can configure the Data Collector Set to run as a specific user. Click the Change button to enter the user name and password for a different user than the default listed.

    Note

    If you are a member of the Performance Log Users group, you must configure Data Collector Sets you create to run under your own credentials.

  9. Click Finish to return to Windows Performance Monitor.

    • To view the properties of the Data Collector Set or make additional changes, select Open properties for this data collector set. For more information about the properties of the Data Collector Set, see Data Collector Set Properties.

    • To start the Data Collector Set immediately (and begin saving data to the location specified in Step 6), select Start this data collector set now.

    • To save the Data Collector Set without starting collection, select Save and close.

Additional considerations

  • To open Windows Performance Monitor, click Start, click in the Start Search box, type perfmon, and then press ENTER.

  • Data Collector Sets run as the System user by default. As a security best practice, you should accept this default value unless you have a compelling reason to change it.

Additional references

  • Windows Performance Monitor

  • Creating Data Collector Sets

  • Scheduling and Managing Data in Windows Performance Monitor


Create a Data Collector Set Manually

You can build a Data Collector Set from a custom combination of Data Collectors. These Data Collectors can include Performance Counters, Configuration data, or data from Trace Providers.

Membership in the local Performance Log Users or Administrators group, or equivalent, is the minimum required to complete this procedure.

Note

The Performance Log Users group must be assigned the Log on as a batch user user right, as described in Enable Logging for Performance Log Users Group Members.

To create a Data Collector Set manually

  1. In the Windows Performance Monitor navigation pane, expand Data Collector Sets, right-click User Defined, point to New, and click Data Collector Set. The Create new Data Collector Set Wizard starts.

  2. Enter a name for your Data Collector Set.

  3. Select Create manually and click Next.

  4. Select Create data logs.

  5. Check the boxes next to the Data Collector types you want to use and click Next.

    • Performance counters provide metric data about the system's performance.

    • Event trace data provides information about activities and system events.

    • System configuration information allows you to record the state of, and changes to, registry keys.

  6. Depending on the Data Collector types you selected, you will be presented with dialogs to add Data Collectors to your Data Collector Set.

    • Click Add to open the Add Counters dialog box. When you are finished adding Performance counters, click Next to continue configuration or Finish to exit and save the current configuration.

    • Event Trace Providers can be installed with the operating system or part of a non-Microsoft application. Click Add to select from a list of available Event Trace Providers. You can select multiple providers by holding down the Control key and highlighting. When you are finished adding Event Trace Providers, click Next to continue configuration or Finish to exit and save the current configuration.

    • Record system configuration information by entering Registry keys you want to track. You must know the exact key you want to include in the Data Collector Set. When you are finished adding Registry keys, click Next to continue configuration or Finish to exit and save the current configuration.

      Note

      If you did not check all Data Collector types, not all of the entry dialogs described here will be included in the wizard steps.

  7. The Root Directory will contain data collected by the Data Collector Set. Change this setting if you want to store your Data Collector Set data in a different location than the default. Browse to and select the directory, or type the directory name.

    Note

    If you enter the directory name manually, you must not enter a back slash at the end of the directory name.

  8. After clicking Next, you can configure the Data Collector Set to run as a specific user. Click the Change button to enter the user name and password for a different user than the default listed.

    Note

    If you are a member of the Performance Log Users group, you must configure Data Collector Sets you create to run under your own credentials.

  9. Click Finish to return to Windows Performance Diagnostic Console.

    • To view the properties of the Data Collector Set or make additional changes, select Open properties for this data collector set. For more information about the properties of the Data Collector Set, see Data Collector Set Properties.

    • To start the Data Collector Set immediately (and begin saving data to the location specified in Step 8), select Start this data collector set now.

    • To save the Data Collector Set without starting collection, select Save and close.

Additional considerations

  • To open Windows Performance Monitor, click Start, click in the Start Search box, type perfmon, and then press ENTER.

  • Data Collector Sets run as the System user by default. As a security best practice, you should accept this default value unless you have a specific reason to change it.

Additional references

  • Windows Performance Monitor

  • Data Collector Set Properties

  • Scheduling and Managing Data in Windows Performance Monitor


Create a Data Collector Set to Monitor Performance Counters

You can create a custom Data Collector Set containing performance counters and configure alert activities based on the performance counters exceeding or dropping below limits you define.

After creating the Data Collector Set, you must configure the actions the system will take when the alert criteria are met.

Membership in the local Performance Log Users or Administrators group, or equivalent, is the minimum required to complete these procedures.

Note

The Performance Log Users group must be assigned the Log on as a batch user user right, as described in Enable Logging for Performance Log Users Group Members.

  • Create a Data Collector Set to monitor Performance Counters

  • Configure alert actions
To create a Data Collector Set to monitor Performance counters

  1. In the Windows Performance Monitor navigation pane, expand Data Collector Sets, right-click User Defined, point to New, and click Data Collector Set. The Create new Data Collector Set Wizard starts.

  2. Enter a name for your Data Collector Set.

  3. Select the Create manually option and click Next.

  4. Select the Performance Counter Alert option and click Next.

  5. Click Add to open the Add Counters dialog box. When you are finished adding counters, click OK to return to the wizard.

  6. Define alerts based on the values of performance counters you have selected.

    1. From the list of Performance counters, select the counter to monitor and trigger an alert.

    2. From the Alert when drop-down, choose whether to alert when the performance counter value is above or below the limit.

    3. In the Limit box, enter the threshold value.

  7. When you are finished defining alerts, click Next to continue configuration or Finish to exit and save the current configuration.

  8. After clicking Next, you can configure the Data Collector Set to run as a particular user. Click the Change button to enter the user name and password for a different user than the default listed.

    Note

    If you are a member of the Performance Log Users group, you must configure Data Collector Sets you create to run under your own credentials.

  9. Click Finish to return to Windows Performance Monitor.

    • To view the properties of the Data Collector Set or make additional changes, select Open properties for this data collector set. For more information about the properties of the Data Collector Set, see Data Collector Set Properties.

    • To start the Data Collector Set immediately (and begin saving data to the location specified in Step 8), select Start this data collector set now.

    • To save the Data Collector Set without starting collection, select Save and close.

Additional considerations

  • To open Windows Performance Monitor, click Start, click in the Start Search box, type perfmon, and then press ENTER.

  • Data Collector Sets run as the System user by default. As a security best practice, you should accept this default value unless you have a compelling reason to change it.

Additional references

  • Windows Performance Monitor

  • Scheduling and Managing Data in Windows Performance Monitor

To configure alert actions

  1. Expand Reliability and Performance in the navigation pane.

  2. Expand Data Collector Sets, expand User Defined, and click the name of the Data Collector Set with performance counter alerts.

  3. In the console pane, right-click the name of a Data Collector whose type is Alert and click Properties.

  4. On the Data Collector Properties page, click the Alerts tab. The data collectors and alerts already configured should appear.

  5. Click the Alert Action tab to choose whether to write an entry to the event log Applications and Services Logs/Microsoft/Windows/Diagnosis-PLA/Operational when the alert criteria are met. You can also start a Data Collector Set when the alert criteria are met.

  6. Click the Alert Task tab to choose a Windows Management Interface (WMI) task and arguments to run when the alert criteria are met.

Additional considerations

  • To open Windows Performance Monitor, click Start, click in the Start Search box, type perfmon, and then press ENTER.

Additional references

  • Windows Performance Monitor

  • Scheduling and Managing Data in Windows Performance Monitor


Scheduling and Managing Data in Windows Performance Monitor

You schedule data collection and manage the storage of log data on a Data Collector Set basis in Windows Performance Monitor. Reports can be stored after log data has been deleted, which gives you access to performance statistics without storing individual counter values.

  • Schedule Data Collection in Windows Performance Monitor

  • Manage Data in Windows Performance Monitor

  • View Reports in Windows Performance Monitor

Additional references

  • Windows Performance Monitor

  • For more information about using Windows Performance Monitor, see http://go.microsoft.com/fwlink/?LinkId=70270.


Schedule Data Collection in Windows Performance Monitor

Windows Performance Monitor uses a consistent scheduling method for all data collection.

  • During Data Collector Set creation, you can configure the schedule by selecting Open properties for this data collector set at the end of the Create New Data Collector Set Wizard

  • After a Data Collector Set has been created, you can access the schedule options by right-clicking the Data Collector Set name in the Microsoft Management Console (MMC) navigation pane and selecting Properties.

Membership in the local Performance Log Users or Administrators group, or equivalent, is the minimum required to complete this procedure.

Note

The Performance Log Users group must be assigned the Log on as a batch user user right, as described in Enable Logging for Performance Log Users Group Members.

Note

If you have configured the Data Collector Set to run as another user, you will be prompted to type the user name and password each time you modify the Data Collector Set properties.

  • Schedule the start condition for a Data Collector Set

  • Schedule the stop condition for a Data Collector Set

To schedule the Start condition for a Data Collector Set

  1. In Windows Performance Monitor, expand Data Collector Sets and click User Defined.

  2. In the console pane, right-click the name of the Data Collector Set that you want to schedule and click Properties.

  3. Click the Schedule tab.

  4. Click Add to create a start date, time, or day for data collection. When configuring a new data collector set, ensure that this date is after the current date and time.

  5. If you do not want to collect new data after a certain date, select Expiration date and choose a date from the calendar.

    Note

    Selecting an expiration date will not stop data collection in progress on that date. It will prevent new instances of data collection from starting after the expiration date. You must use the Stop Condition tab to configure how data collection is stopped.

  6. When finished, click OK.
To schedule the Stop condition for a Data Collector Set

  1. In Windows Performance Monitor, expand Data Collector Sets and click User Defined.

  2. In the console pane, right-click the name of the Data Collector Set that you want to schedule and click Properties.

  3. Click the Stop Condition tab.

  4. To stop collecting data after a period of time, select overall duration and choose the quantity and units. Note that your overall duration must be longer than the interval at which data is sampled in order to see any data in the report. Do not select an overall duration if you want to collect data indefinitely.

  5. Use limits to segment data collection into separate logs by selecting When a limit is reached, restart the data collector set. If both limit types are selected, data collection will stop or restart when the first limit is reached.

    • Select Duration to configure a time period for data collection to write to a single log file.

    • Select Maximum Size to restart the Data Collector Set or to stop collecting data when the log file reaches the limit.

      Note

      If an overall duration is configured, it will override limits.

  6. If you have configured an overall duration, you can select Stop when all data collectors have finished to let all data collectors finish recording the most recent values before the Data Collector Set is stopped.

  7. When finished, click OK.

    Important

    Larger log files result in longer report generation times. If you review your logs frequently to see recent data, we recommend that you use limits to automatically segment your logs. You can use the relog command to segment long log files or combine multiple short log files.

Additional considerations

  • To open Windows Performance Monitor, click Start, click in the Start Search box, type perfmon, and then press ENTER.

  • For more information about the relog command, type relog /? and press ENTER at a command prompt.

Additional references

  • Windows Performance Monitor

  • Scheduling and Managing Data in Windows Performance Monitor

  • Data Collector Set Properties


Manage Data in Windows Performance Monitor

Data Collector Sets create a raw log data file, in addition to optional report files. With Data Management, you can configure how log data, reports, and compressed data are stored for each Data Collector Set.

Membership in the local Performance Log Users or Administrators group, or equivalent, is the minimum required to complete this procedure.

Note

The Performance Log Users group must be assigned the Log on as a batch user user right, as described in Enable Logging for Performance Log Users Group Members.

Note

If you have configured the Data Collector Set to run as another user, you will be prompted to enter the user name and password each time you modify the Data Collector Set properties.

To configure data management for a Data Collector Set

  1. In Windows Performance Monitor, expand Data Collector Sets and click User Defined.

  2. In the console pane, right-click the name of the Data Collector Set that you want to configure and click Data Manager.

  3. On the Data Manager tab, you can accept the default values or make changes according to your data retention policy. See the table below for details on each option.

    • When Minimum free disk or Maximum folders is selected, previous data will be deleted according to the Resource policy you choose (Delete largest or Delete oldest) when the limit is reached.

    • When Apply policy before the data collector set starts is selected, previous data will be deleted according to your selections before the data collector set creates its next log file.

    • When Maximum root path size is selected, previous data will be deleted according to your selections when the root log folder size limit is reached.

  4. Click the Actions tab. You can accept the default values or make changes. See the table below for details on each option.

    Note

    Folder actions allow you to choose how data is archived before it is permanently deleted. You may decide to disable the Data Manager limits in favor of managing all data according to these folder action rules.

  5. When you have finished making your changes, click OK.
Data Manager Properties

Option | Definition
Minimum free disk | The amount of disk space that must be available on the drive where log data is stored. If selected, previous data will be deleted according to the Resource policy that you choose when the limit is reached.
Maximum folders | The number of subfolders that can be in the Data Collector Set data directory. If selected, previous data will be deleted according to the Resource policy that you choose when the limit is reached.
Resource policy | Specifies whether to delete the oldest or largest log file or directory when limits are reached.
Maximum root path size | The maximum size of the data directory for the Data Collector Set, including all subfolders. If selected, this maximum path size overrides the Minimum free disk and Maximum folders limits, and previous data will be deleted according to the Resource policy that you choose when the limit is reached.
Actions Properties

Option | Definition
Age | The age in days or weeks of the data file. If the value is 0, the criterion is not used.
Size | The size in megabytes (MB) of the folder where log data is stored. If the value is 0, the criterion is not used.
Cab | A cabinet file, which is an archive file format. Cab files can be created from raw log data and extracted later when needed. Choose create or delete to take action based on the age or size criteria.
Data | Raw log data collected by the Data Collector Set. Log data can be deleted after a cab file is created to save disk space while still retaining a backup of the original data.
Report | The report file generated by Windows Performance Monitor from raw log data. Report files can be retained even after the raw data or cab file has been deleted.

Additional considerations

  • To open Windows Performance Monitor, click Start, click in the Start Search box, type perfmon, and then press ENTER.

Additional references

  • Windows Performance Monitor

  • Scheduling and Managing Data in Windows Performance Monitor


View Reports in Windows Performance Monitor

Data Collector Set templates can also include report templates to help you interpret the performance information collected when they run.

Membership in the local Performance Log Users or Administrators group, or equivalent, is the minimum required to complete this procedure.

Note

The Performance Log Users group must be assigned the Log on as a batch user user right, as described in Enable Logging for Performance Log Users Group Members.

To view a Data Collector Set report

  1. In Windows Performance Monitor, expand Reports and click User Defined or System.

  2. In the navigation pane, expand the Data Collector Set that you want to view as a report.

  3. Click the report that you want to view from the list of available reports. The report will open in the console pane.

Additional considerations

  • To open Windows Performance Monitor, click Start, click in the Start Search box, type perfmon, and then press ENTER.

  • Another way to view the most recent report for a Data Collector Set is to expand Data Collector Sets, expand User Defined or System, click the name of the Data Collector Set in the navigation pane, and click the View Latest Report icon in the toolbar.

  • You can also create a new report for a data collector set by typing perfmon /report "Data_Collector_Set_name" at a command prompt. Typing perfmon /report without any other parameters will generate the System Diagnostics report.

  • If a Data Collector Set has not run, no reports will be available for it.

  • If a Data Collector Set is currently running, the console pane will display information about how long it is configured to run.

  • After data collection has stopped, there will be a delay while the report is generated. During this time, the console pane will display a working icon.

  • Larger log files result in longer report generation times. If you review your logs frequently to see recent data, we recommend that you use limits to automatically segment your logs. You can use the relog command to segment long log files or combine multiple short log files.

  • For more information about the relog command, type relog /? at a command prompt.

Additional references

  • Windows Performance Monitor

  • Scheduling and Managing Data in Windows Performance Monitor


Enable Logging for Performance Log Users Group Members

In order for members of the Performance Log Users group to initiate data logging or modify Data Collector Sets, the group must first be assigned the Log on as a batch job user right. To assign this user right, use the Local Security Policy snap-in in Microsoft Management Console.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure.

To assign the "Log on as a batch job" user right to the Performance Log Users group

  1. Click Start, click in the Search box, type secpol.msc, and press ENTER. The Local Security Policy snap-in will open in Microsoft Management Console.

  2. In the navigation pane, expand Local Policies and click User Rights Assignment.

  3. In the console pane, right-click Log on as a batch job and click Properties.

  4. In the Properties page, click Add User or Group.

  5. In the Select Users or Groups dialog box, click Object Types. Select Groups in the Object Types dialog box and click OK.

  6. Type Performance Log Users in the Select Users or Groups dialog box and then click OK.

  7. In the properties page, click OK.

Additional references

  • Windows Performance Monitor

  • Overview of Windows Performance Monitor


User Interface: Windows Performance Monitor

  • Add Counters Dialog Box

  • Data Collector Set Properties


Add Counters Dialog Box

Performance counters that are included with the operating system or installed as part of a non-Microsoft application can be added to a Data Collector Set or to a Performance Monitor session. You can access the full list of available counters in the Add Counters dialog box.

To open the Add Counters dialog box, you can:

  • Create a custom Data Collector Set and choose to include Performance counters (the wizard will open the Add Counters dialog box).

  • Click the Add (+) button in Performance Monitor to add a counter to the current Performance Monitor display.

  • Right-click the Performance Monitor display and select Add Counters.

Common tasks in the Add Counters dialog box

Task Procedure

Choose the source computer for counters

Select a computer from the drop-down list or click Browse to find other computers. Counters can be added from the local computer or another computer on the network to which you have access.

Note

The list below the computer selection drop-down shows you available counters that are divided into groups. You can add all of the counters in a group or select just the ones you want to collect.

Display a description of the selected counter group

Select Show description in the lower left corner of the page. The description will update as you select other groups.

Add a group of counters

Highlight the group name and click Add.

Note

After highlighting a group name, you can click the down arrow to view included counters. If you highlight a single counter from the list before clicking Add, only that counter will be added.

Add individual counters

Expand the group by clicking the down arrow, highlight the counter, and click Add.

Note

You can select multiple counters from a group by holding down the CTRL key and clicking the names in the list. When you have selected all of the counters that you want to add from that group, click Add.

Search for instances of a counter

Highlight the counter group or expand the group and highlight the counter you want to add, type the process name in the drop-down below the Instances of selected object box, and click Search. The process name you type will be available in the drop-down list to repeat the search with other counters.

If no results are returned and you want to clear your search, you must highlight another group. If there are not multiple instances of a counter group or counter, the search function will not be available.

Add only certain instances of a counter

Highlight a counter group or counter in the list, select the process you want from the list that appears in the Instances of selected object box, and click Add.

Multiple processes can create the same counter, but choosing an instance will collect only those counters produced by the selected process.

Note

Unless you select a specific instance, all instances of a counter are collected.

Additional considerations

  • Membership in the local Performance Log Users or Administrators group, or equivalent, is the minimum required to complete these procedures.

  • If you are adding counters to an existing Data Collector Set that is configured to run as another user, you will be prompted to enter the user name and password each time you modify the properties of the Data Collector Set.

  • To add performance counters from a remote computer, the Performance Logs and Alerts firewall exception must be enabled on the remote computer. In addition, members of the Performance Log Users group must also be members of the Event Log Readers group on the remote computer.

Additional references

  • Windows Performance Monitor


Data Collector Set Properties

To view or modify the properties of a Data Collector Set after it has been created, you can:

  • Select the Open properties for this data collector set check box at the end of the Data Collector Set Creation Wizard.

  • Right-click the name of a Data Collector Set, either in the MMC scope tree or in the console window, and click Properties in the context menu.

Tab Details

General

The General tab includes the description and keywords associated with the Data Collector Set. If you created the Data Collector Set from a template that had a description and keywords, they will be included here. If you created a custom Data Collector Set, you can add data here to help you identify it later, or to provide more information to others if you export it as a template.

You can change what user the Data Collector Set will Run As by clicking Change… and entering a user name and password.

Important

The Data Collector Set must run as a user with administrative credentials or as a member of the Performance Log Users group.

Note

If you configure the Data Collector Set to run as a user with a higher level credentials than the currently logged on user, you will be prompted to enter the user name and password of the account the Data Collector Set is configured to run as when you change its properties.

Directory

In addition to defining a root directory for storing Data Collector Set data, you can specify a single Subdirectory or create a Subdirectory name format by clicking the arrow to the right of the text entry field. The Example directory at the bottom of the page provides a real-time sample of the directory and/or subdirectory where the Data Collector Set data will be stored.

Security

You can change the permissions of groups or users for the Data Collector Set by selecting the Group or User name and then selecting the Allow or Deny check boxes for each permission type. To add, remove, or change permission types, click the Advanced button.

Note

These permission changes, including changes implemented in the Advanced section, apply only to the Data Collector Set.

Scheduling

The schedule tab includes options for configuring when data collection begins. For more information, see Scheduling and Managing Data in Windows Performance Monitor. Use the Stop Condition tab to configure stopping data collection.

Stop Condition

A single stop condition, or a combination of multiple criteria, can be used to automatically halt or restart the collection of data from a Data Collector Set.

Select the check boxes to choose one or all of the stop conditions you want to apply to the Data Collector Set. If no stop conditions are selected on this tab, the Data Collector Set will collect data from the time it is started (either manually or automatically) until it is manually stopped.

Overall duration causes the Data Collector Set to stop collecting data when the configured time has elapsed. The overall duration setting takes precedence over any settings defined as limits.

Limits can be used instead of, or in addition to, the overall duration stop condition.

To automatically restart collection of the Data Collector Set when limits for duration, size, or both are reached, select the check box. When used in combination with the overall duration stop condition, configuring automatic restarts will cause the data to be collected in separate log files for each specified time period or size until the overall duration stop condition is met.

Task

You can run a Windows Management Instrumentation (WMI) task upon completion of the Data Collector Set collection by entering the command in the Run this task when the data collector set stops box. Refer to WMI task documentation for options.